Subject: Re: [Bonding-devel] [PATCH net-next-2.6] bonding: remove meaningless /sys/module/bonding/parameters entries.

From: Nicolas de Pesloüan <[email-masked]>
Date: Mon, 03 Jan 2011 20:59:37 +0100

Le 03/01/2011 20:32, David Miller a écrit :
> From: Nicolas de Pesloüan<[email-masked]>
> Date: Sun,  2 Jan 2011 15:35:15 +0100
>
>> Only two bonding parameters are exposed in /sys/module/bonding:
>>
>> num_grat_arp
>> num_unsol_na
>>
>> Those values are not module global, but per device.
>>
>> The per device values are available in /sys/class/net/<device>/bonding.
>>
>> The values exposed in /sys/module/bonding are those given at module load time
>> and only used as default values when creating a device. They are read-only and
>> cannot change in any way.
>>
>> As such, they are mostly meaningless.
>
> First, you forgot to provide a proper "Signed-off-by: " line in your
> patch submission, please read Documentation/SubmittingPatches

Oups, you are right. I forgot it.

> Secondly, you can't remove these, people might be using them.  It
> could be useful, for example, to debug problems with passing module
> parameters in.  This is the one way to find out what actually got
> passed to the module when it loaded.

I perfectly understand this.

The bonding module supports 19 different parameters, but only two are exposed into 
/sys/modules/bonding. Also, only one of those parameters is global to the module (max_bonds). All 
other parameters are in fact per device and exposed (read and write if appropriate) in 
/sys/class/net/<device>/bonding.

As there is no good reason to have only those two parameters exposed into /sys/modules/bonding, we 
should remove them or add all the other one. Due to the lack of real global meaning for those two, I 
thought removing them was the right option.

> Therefore I'm not applying this patch, sorry.

Anyway, thanks.

	Nicolas.